Module org.xerial.sqlitejdbc
Package org.sqlite

## Enum SQLiteLimits

- java.lang.Object
- - java.lang.Enum<SQLiteLimits>
  - - org.sqlite.SQLiteLimits

All Implemented Interfaces:
  `Serializable`, `Comparable<SQLiteLimits>`

    public enum SQLiteLimits
    extends Enum<SQLiteLimits>

### Enum Constant Summary

Enum Constants
`SQLITE_LIMIT_ATTACHED`
`SQLITE_LIMIT_COLUMN`
`SQLITE_LIMIT_COMPOUND_SELECT`
`SQLITE_LIMIT_EXPR_DEPTH`
`SQLITE_LIMIT_FUNCTION_ARG`
`SQLITE_LIMIT_LENGTH`
`SQLITE_LIMIT_LIKE_PATTERN_LENGTH`
`SQLITE_LIMIT_PAGE_COUNT`
`SQLITE_LIMIT_SQL_LENGTH`
`SQLITE_LIMIT_TRIGGER_DEPTH`
`SQLITE_LIMIT_VARIABLE_NUMBER`
`SQLITE_LIMIT_VDBE_OP`
`SQLITE_LIMIT_WORKER_THREADS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getId()`
`static SQLiteLimits` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SQLiteLimits[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SQLITE_LIMIT_LENGTH

    public static final SQLiteLimits SQLITE_LIMIT_LENGTH

#### SQLITE_LIMIT_SQL_LENGTH

    public static final SQLiteLimits SQLITE_LIMIT_SQL_LENGTH

#### SQLITE_LIMIT_COLUMN

    public static final SQLiteLimits SQLITE_LIMIT_COLUMN

#### SQLITE_LIMIT_EXPR_DEPTH

    public static final SQLiteLimits SQLITE_LIMIT_EXPR_DEPTH

#### SQLITE_LIMIT_COMPOUND_SELECT

    public static final SQLiteLimits SQLITE_LIMIT_COMPOUND_SELECT

#### SQLITE_LIMIT_VDBE_OP

    public static final SQLiteLimits SQLITE_LIMIT_VDBE_OP

#### SQLITE_LIMIT_FUNCTION_ARG

    public static final SQLiteLimits SQLITE_LIMIT_FUNCTION_ARG

#### SQLITE_LIMIT_ATTACHED

    public static final SQLiteLimits SQLITE_LIMIT_ATTACHED

#### SQLITE_LIMIT_LIKE_PATTERN_LENGTH

    public static final SQLiteLimits SQLITE_LIMIT_LIKE_PATTERN_LENGTH

#### SQLITE_LIMIT_VARIABLE_NUMBER

    public static final SQLiteLimits SQLITE_LIMIT_VARIABLE_NUMBER

#### SQLITE_LIMIT_TRIGGER_DEPTH

    public static final SQLiteLimits SQLITE_LIMIT_TRIGGER_DEPTH

#### SQLITE_LIMIT_WORKER_THREADS

    public static final SQLiteLimits SQLITE_LIMIT_WORKER_THREADS

#### SQLITE_LIMIT_PAGE_COUNT

    public static final SQLiteLimits SQLITE_LIMIT_PAGE_COUNT

### Method Detail

#### values

    public static SQLiteLimits[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SQLiteLimits c : SQLiteLimits.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SQLiteLimits valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getId

    public int getId()